CVE-2021-31229

NameCVE-2021-31229
DescriptionAn issue was discovered in libezxml.a in ezXML 0.8.6. The function ezxml_internal_dtd() performs incorrect memory handling while parsing crafted XML files, which leads to an out-of-bounds write of a one byte constant.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-2705-1
Debian Bugs989360, 989361, 989363, 989364

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mapcache (PTS)bullseye1.10.0-2vulnerable
bookworm1.14.0-1vulnerable
sid, trixie1.14.0-4vulnerable
netcdf (PTS)bullseye1:4.7.4-1vulnerable
bookworm1:4.9.0-3fixed
sid, trixie1:4.9.2-6fixed
netcdf-parallel (PTS)bullseye1:4.7.4-1vulnerable
sid, bookworm1:4.9.0-1fixed
scilab (PTS)bullseye6.1.0+dfsg1-7vulnerable
bookworm6.1.1+dfsg2-6vulnerable
trixie2024.1.0+dfsg-1vulnerable
sid2024.1.0+dfsg-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mapcachesource(unstable)(unfixed)unimportant989363
netcdfsourcestretch(not affected)
netcdfsource(unstable)1:4.9.0-1989360
netcdf-parallelsource(unstable)1:4.9.0-1989361
scilabsourcestretch5.5.2-4+deb9u1DLA-2705-1
scilabsource(unstable)(unfixed)unimportant989364

Notes

[bullseye] - netcdf <ignored> (Minor issue)
[buster] - netcdf <ignored> (Minor issue)
[stretch] - netcdf <not-affected> (vulnerable code not present)
[bullseye] - netcdf-parallel <ignored> (Minor issue)
[buster] - netcdf-parallel <ignored> (Minor issue)
https://sourceforge.net/p/ezxml/bugs/26/
mapcache only uses ezxml to parse config files which are trusted

Search for package or bug name: Reporting problems